NX Open C++ Reference Guide
|
Represents trim point
Created in NX6.0.0.
More...
Public Types | |
enum | AngleOptions { AngleOptionsAuto, AngleOptionsVector, AngleOptionsAngle } |
The trim point angle options Created in NX6.0.0. More... | |
enum | Options { OptionsNone, OptionsPoint } |
The trim point options Created in NX6.0.0. More... | |
enum | RampAngleOptions { RampAngleOptionsNone, RampAngleOptionsAligned, RampAngleOptionsVector, RampAngleOptionsAngle } |
The trim point ramp angle options Created in NX7.5.0. More... | |
Public Member Functions | |
NXOpen::CAM::InheritableDoubleBuilder * | Angle () |
Returns the trim point angle Created in NX6.0.0. | |
NXOpen::CAM::InheritableDoubleBuilder * | AngleOffset () |
Returns the trim point angle offset Created in NX6.0.0. | |
NXOpen::CAM::TrimPoint::AngleOptions | AngleOption () |
Returns the trim point angle option Created in NX6.0.0. | |
bool | CheckPartGeometryBeyondTrim () |
Returns the trim point check part geometry beyond trim Created in NX6.0.0. | |
NXOpen::CAM::InheritableDoubleBuilder * | ExtendDistance () |
Returns the trim point extend distance Created in NX6.0.0. | |
NXOpen::CAM::TrimPoint::Options | Option () |
Returns the trim point option Created in NX6.0.0. | |
NXOpen::Point * | Point () |
Returns the trim point Created in NX6.0.0. | |
NXOpen::CAM::InheritableDoubleBuilder * | RampAngle () |
Returns the trim point ramp angle Created in NX7.5.0. | |
NXOpen::CAM::InheritableDoubleBuilder * | RampAngleOffset () |
Returns the trim point ramp angle offset Created in NX7.5.0. | |
NXOpen::CAM::TrimPoint::RampAngleOptions | RampAngleOption () |
Returns the trim point ramp angle option Created in NX7.5.0. | |
NXOpen::NXObject * | RampAngleVector () |
Returns the trim point ramp angle vector Created in NX7.5.0. | |
void | SetAngleOption (NXOpen::CAM::TrimPoint::AngleOptions angleMode) |
Sets the trim point angle option Created in NX6.0.0. | |
void | SetCheckPartGeometryBeyondTrim (bool checkPartGeometry) |
Sets the trim point check part geometry beyond trim Created in NX6.0.0. | |
void | SetOption (NXOpen::CAM::TrimPoint::Options trimPointMode) |
Sets the trim point option Created in NX6.0.0. | |
void | SetPoint (NXOpen::Point *point) |
Sets the trim point Created in NX6.0.0. | |
void | SetRampAngleOption (NXOpen::CAM::TrimPoint::RampAngleOptions rampAngleMode) |
Sets the trim point ramp angle option Created in NX7.5.0. | |
void | SetRampAngleVector (NXOpen::NXObject *rampVector) |
Sets the trim point ramp angle vector Created in NX7.5.0. | |
void | SetVector (NXOpen::NXObject *vector) |
Sets the trim point vector Created in NX6.0.0. | |
NXOpen::NXObject * | Vector () |
Returns the trim point vector Created in NX6.0.0. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents trim point
Created in NX6.0.0.
NXOpen::CAM::InheritableDoubleBuilder* NXOpen::CAM::TrimPoint::Angle | ( | ) |
Returns the trim point angle
Created in NX6.0.0.
License requirements : None
NXOpen::CAM::InheritableDoubleBuilder* NXOpen::CAM::TrimPoint::AngleOffset | ( | ) |
Returns the trim point angle offset
Created in NX6.0.0.
License requirements : None
NXOpen::CAM::TrimPoint::AngleOptions NXOpen::CAM::TrimPoint::AngleOption | ( | ) |
Returns the trim point angle option
Created in NX6.0.0.
License requirements : None
bool NXOpen::CAM::TrimPoint::CheckPartGeometryBeyondTrim | ( | ) |
Returns the trim point check part geometry beyond trim
Created in NX6.0.0.
License requirements : None
NXOpen::CAM::InheritableDoubleBuilder* NXOpen::CAM::TrimPoint::ExtendDistance | ( | ) |
Returns the trim point extend distance
Created in NX6.0.0.
License requirements : None
NXOpen::CAM::TrimPoint::Options NXOpen::CAM::TrimPoint::Option | ( | ) |
Returns the trim point option
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::CAM::TrimPoint::Point | ( | ) |
Returns the trim point
Created in NX6.0.0.
License requirements : None
NXOpen::CAM::InheritableDoubleBuilder* NXOpen::CAM::TrimPoint::RampAngle | ( | ) |
Returns the trim point ramp angle
Created in NX7.5.0.
License requirements : None
NXOpen::CAM::InheritableDoubleBuilder* NXOpen::CAM::TrimPoint::RampAngleOffset | ( | ) |
Returns the trim point ramp angle offset
Created in NX7.5.0.
License requirements : None
NXOpen::CAM::TrimPoint::RampAngleOptions NXOpen::CAM::TrimPoint::RampAngleOption | ( | ) |
Returns the trim point ramp angle option
Created in NX7.5.0.
License requirements : None
NXOpen::NXObject* NXOpen::CAM::TrimPoint::RampAngleVector | ( | ) |
Returns the trim point ramp angle vector
Created in NX7.5.0.
License requirements : None
void NXOpen::CAM::TrimPoint::SetAngleOption | ( | NXOpen::CAM::TrimPoint::AngleOptions | angleMode | ) |
Sets the trim point angle option
Created in NX6.0.0.
License requirements : cam_base ("CAM BASE")
angleMode | the trim point angle option |
void NXOpen::CAM::TrimPoint::SetCheckPartGeometryBeyondTrim | ( | bool | checkPartGeometry | ) |
Sets the trim point check part geometry beyond trim
Created in NX6.0.0.
License requirements : cam_base ("CAM BASE")
checkPartGeometry | the trim point check part geometry beyond trim |
void NXOpen::CAM::TrimPoint::SetOption | ( | NXOpen::CAM::TrimPoint::Options | trimPointMode | ) |
Sets the trim point option
Created in NX6.0.0.
License requirements : cam_base ("CAM BASE")
trimPointMode | the trim point option |
void NXOpen::CAM::TrimPoint::SetPoint | ( | NXOpen::Point * | point | ) |
Sets the trim point
Created in NX6.0.0.
License requirements : cam_base ("CAM BASE")
point | the trim point |
void NXOpen::CAM::TrimPoint::SetRampAngleOption | ( | NXOpen::CAM::TrimPoint::RampAngleOptions | rampAngleMode | ) |
Sets the trim point ramp angle option
Created in NX7.5.0.
License requirements : cam_base ("CAM BASE")
rampAngleMode | the trim point ramp angle option |
void NXOpen::CAM::TrimPoint::SetRampAngleVector | ( | NXOpen::NXObject * | rampVector | ) |
Sets the trim point ramp angle vector
Created in NX7.5.0.
License requirements : cam_base ("CAM BASE")
rampVector | the trim point ramp angle vector |
void NXOpen::CAM::TrimPoint::SetVector | ( | NXOpen::NXObject * | vector | ) |
Sets the trim point vector
Created in NX6.0.0.
License requirements : cam_base ("CAM BASE")
vector | the trim point vector |
NXOpen::NXObject* NXOpen::CAM::TrimPoint::Vector | ( | ) |
Returns the trim point vector
Created in NX6.0.0.
License requirements : None